import 'package:example/app_router_provider.dart';
import 'package:example/routes/home_route.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class AppRouterController {
  AppRouterController(BuildContext context) {
    // Initialize the router provider
    final routerProvider = context.read<AppRouterProvider>();
    routerProvider.initialize(
      context,
      initialRoute: HomeRoute(),
    );
  }
}
